org.appng.appngizer.controller

## Class DatabaseController

- java.lang.Object
- - org.appng.appngizer.controller.ControllerBase
  - - org.appng.appngizer.controller.DatabaseController

-     @RestController
      public class DatabaseController
      extends ControllerBase

- - ### Field Summary

    - ### Fields inherited from class org.appng.appngizer.controller.ControllerBase

      `configurer, context, coreService, databaseService, session, templateService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatabaseController()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addApplicationLink(String site, DatabaseConnection dbc, Database fromDomain)`
    `org.springframework.http.ResponseEntity<Database>` | `getDatabaseConnection(String name, Integer id)`
    `org.springframework.http.ResponseEntity<Database>` | `getDatabaseConnectionForApplication(String site, String app)`
    `org.springframework.http.ResponseEntity<Databases>` | `getDatabaseConnections(String name)`
    `org.springframework.http.ResponseEntity<Database>` | `info()`
    `protected org.springframework.http.ResponseEntity<Database>` | `info(DatabaseConnection platformConnection)`
    `org.springframework.http.ResponseEntity<Database>` | `initialize(boolean isManaged)`
    `org.springframework.http.ResponseEntity<Database>` | `updateDatabaseConnection(String name, Integer id, Database database)`
    `org.springframework.http.ResponseEntity<Database>` | `updateDatabaseConnectionforApplication(String site, String app, Database database)`
    `org.springframework.http.ResponseEntity<Database>` | `updateRootConnection(Database database)`

    - ### Methods inherited from class org.appng.appngizer.controller.ControllerBase

      `getDatabaseStatus, getSharedSecret, onBusinessException, onConflictException, onConstraintViolationException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DatabaseController

          public DatabaseController()

  - ### Method Detail

    - #### info

          @GetMapping(value="/platform/database")
          public org.springframework.http.ResponseEntity<Database> info()
                                                                                                         throws Exception

      Throws:
        `Exception`

    - #### updateRootConnection

          @PutMapping(value="/platform/database")
          public org.springframework.http.ResponseEntity<Database> updateRootConnection(@RequestBody
                                                                                                                                Database database)
                                                                                                                         throws Exception

      Throws:
        `Exception`

    - #### initialize

          @PostMapping(value="/platform/database/initialize")
          public org.springframework.http.ResponseEntity<Database> initialize(@RequestParam(name="managed",required=false,defaultValue="false")
                                                                                                                                  boolean isManaged)
                                                                                                                           throws Exception

      Throws:
        `Exception`

    - #### info

          protected org.springframework.http.ResponseEntity<Database> info(DatabaseConnection platformConnection)
                                                                    throws DatatypeConfigurationException

      Throws:
        `DatatypeConfigurationException`

    - #### getDatabaseConnections

          @GetMapping(value="/site/{name}/database")
          public org.springframework.http.ResponseEntity<Databases> getDatabaseConnections(@PathVariable(value="name")
                                                                                                                                      String name)

    - #### addApplicationLink

          protected void addApplicationLink(String site,
                                            DatabaseConnection dbc,
                                            Database fromDomain)

    - #### getDatabaseConnectionForApplication

          @GetMapping(value="/site/{site}/application/{app}/database")
          public org.springframework.http.ResponseEntity<Database> getDatabaseConnectionForApplication(@PathVariable(value="site")
                                                                                                                                                                    String site,
                                                                                                                                                                    @PathVariable(value="app")
                                                                                                                                                                    String app)

    - #### updateDatabaseConnectionforApplication

          @PutMapping(value="/site/{site}/application/{app}/database")
          public org.springframework.http.ResponseEntity<Database> updateDatabaseConnectionforApplication(@PathVariable(value="site")
                                                                                                                                                                       String site,
                                                                                                                                                                       @PathVariable(value="app")
                                                                                                                                                                       String app,
                                                                                                                                                                       @RequestBody
                                                                                                                                                                       Database database)

    - #### getDatabaseConnection

          @GetMapping(value="/site/{name}/database/{id}")
          public org.springframework.http.ResponseEntity<Database> getDatabaseConnection(@PathVariable(value="name")
                                                                                                                                         String name,
                                                                                                                                         @PathVariable(value="id")
                                                                                                                                         Integer id)

    - #### updateDatabaseConnection

          @PutMapping(value="/site/{name}/database/{id}")
          public org.springframework.http.ResponseEntity<Database> updateDatabaseConnection(@PathVariable(value="name")
                                                                                                                                            String name,
                                                                                                                                            @PathVariable(value="id")
                                                                                                                                            Integer id,
                                                                                                                                            @RequestBody
                                                                                                                                            Database database)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.